{ config, lib, ... }:
{
  boot.initrd = {
    availableKernelModules = [
      "ahci"
      "nvme"
      "sd_mod"
      "xhci_pci"
    ];
    kernelModules = [ "dm-snapshot" ];
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
