{ pkgs, ... }:
{
  boot = {
    kernelPackages = pkgs.linuxPackages_latest;
    kernelParams = [
      "radeon.cik_support=0"
      "amdgpu.cik_support=1"
    ];
    loader.systemd-boot.enable = true;
    plymouth.enable = true;
  };
}
