{ pkgs, ... }:
{
  programs.git = {
    enable = true;
    userName = "Bun";
    userEmail = "bun@nixfox.ca";
    extraConfig.safe.directory = "/etc/nixos";
  };
  
  home.packages = with pkgs; [
    git-crypt
    gnupg
  ];
}
