{ config, lib, impermanence, ... }:
{
  imports = [ impermanence.homeManagerModules.impermanence ];

  home.persistence."/persist${config.home.homeDirectory}" = {
    directories = [
      "Keepers"
      "Projects"

      ".ssh"
      ".gnupg"
    ] ++ (if config.home.desktop.enable then [
      "Documents"
      "Photos"
      "Videos"
      "Games"
      "VMs"

      ".local/state/wireplumber"
    ] else []);
    allowOther = false;
  };
}
