{ config, lib, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    programs.sway = {
      enable = true;
      extraOptions = [ "--unsupported-gpu" ];
      wrapperFeatures.gtk = true;
    };

    environment.sessionVariables.WLR_RENDERER = "vulkan";

    services.dbus.enable = true;
    security.pam.services.swaylock = {};
  };
}
