{ config, ... }:
{
  fileSystems = {
    "/persist/storage" = {
      device = "/dev/disk/by-uuid/edd3e293-1aff-4fc0-96fa-4e17d6cccfca";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
      ];
    };
    "/home/${config.sysusers.main}/Network/Midas" = {
      device = "11.0.0.1:/storage";
      fsType = "nfs4";
      options = [
        "x-systemd.automount"
        "noauto"
        "soft"
      ];
    };
    "/home/${config.sysusers.main}/Network/Prophet" = {
      device = "mx.nixfox.ca:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
