{ ... }:
{
  networking = {
    interfaces."enp42s0".ipv4.addresses = [{
      address = "10.2.0.100";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "enp42s0";
    };

    vlans.internal = {
      id=100;
      interface="enp42s0";
    };
    interfaces.internal.ipv4.addresses = [{
      address = "11.0.0.100";
      prefixLength = 8;
    }];

    firewall.allowedUDPPorts = [ 27015 ];
  };
}
