{ lib, ... }:
{
  imports = [
    ./files
    ./programs
    ./services
    ./settings
    ./user
    ./variables
    ./wms
  ];

  options.home = with lib; {
    desktop.enable = mkEnableOption "Desktop programs and services";
    gaming.enable = mkEnableOption "Gaming apps and programs";
    production.enable = mkEnableOption "Apps for visual productivity";
    school.enable = mkEnableOption "Apps for school and college";
  };

  config.home.stateVersion = "24.11";
}
