{ config, lib, pkgs, ... }:
{
  imports = [
    ./kanshi
    ./mako
    ./rofi
    ./swaylock
    ./waybar
    ./wlpicker
    ./wpaperd
  ];

  home.packages = with pkgs; lib.mkIf config.home.desktop.enable [
    brightnessctl
    clipman
    grim
    hyprpicker
    libnotify
    rot8
    slurp
    wdisplays
    wl-clipboard
    wlsunset
  ];
}
