{ pkgs, ... }:
{
  wayland.windowManager.sway.config = {
    bars = [{ command = "waybar"; }];

    startup = [
      # Scratchpads
      { command = "foot -a btop -T Gotop btop"; }
      { command = "foot -a music -T Music ncmpcpp"; }
      { command = "foot -a sound -T Sound pulsemixer"; }

      # Daemons and tray
      { command = "kanshi"; }
      { command = "mako"; }
      { command = "rot8"; }
      { command = "wl-copy"; }
      { command = "wl-paste -t text --watch clipman store -P"; }
      { command = "wlsunset -s 22:30 -S 07:30"; }
      { command = "wpaperd"; }

      # Foreground
      { command = "thunderbird"; }
      { command = "vesktop"; }
    ];
  };
}
